Bug 5374 - Update date/time last transaction (MARC 005) when saving biblio record
Summary: Update date/time last transaction (MARC 005) when saving biblio record
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-08 11:19 UTC by Marcel de Rooy
Modified: 2012-10-25 23:03 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
signed off patch (2.83 KB, patch)
2010-12-16 14:11 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2010-11-08 11:19:14 UTC
Currently, the plugin marc21_field_005 and its unimarc opponent fill field 005 when this field gets focus. This implies that updating a record without touching this field does not update 005.
At the same time, a user could accidentally delete a character in the 005 when having focus. This mutilated field value will be saved however. 

I would suggest to add a few lines to ModBiblioMarc in Biblio.pm to ascertain that adding or updating a record always updates 005 in marc21 as well as unimarc.

I will send a patch. 
See: <a href="">
Comment 1 Marcel de Rooy 2010-11-08 11:49:20 UTC
Patch sent: <a href="http://lists.koha-community.org/pipermail/koha-patches/2010-November/012854.html">click here</a>
Comment 2 Marcel de Rooy 2010-11-11 14:16:20 UTC
Small adjustment: see http://lists.koha-community.org/pipermail/koha-patches/2010-November/012868.html
Comment 3 Nicole C. Engard 2010-12-16 14:11:47 UTC
Created attachment 2861 [details] [review]
signed off patch
Comment 4 Chris Cormack 2011-01-04 19:52:12 UTC
Pushed, please test
Comment 5 Marcel de Rooy 2011-01-05 13:18:06 UTC
Tested.